package jsonUtils

import (
	"encoding/json"
	"errors"
)

func ToJsonString(v any) string {
	return string(ToJsonBytes(v))
}

func ToJsonBytes(v any) []byte {
	if v == nil {
		return []byte{}
	}
	bytes, _ := json.Marshal(v)
	return bytes
}

func Unmarshal(data []byte, v any) error {
	err := json.Unmarshal(data, v)
	if err != nil {
		return errors.New(err.Error())
	}
	return nil
}
